Bug 502684 - ipa user-mod --uid gives a internal error
ipa user-mod --uid gives a internal error
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-05-26 18:47 EDT by Michael Gregg
Modified: 2015-01-04 18:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:32:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Gregg 2009-05-26 18:47:34 EDT
Description of problem:
running "ipa user-mod --uid=<number>" gives a internal error

Version-Release number of selected component (if applicable):
ipa-server-2.0-2.20090526.el5ipa

How reproducible:
always

Steps to Reproduce:
1. kinit as admin
2. create user1
3. ipa user-mod --uid=777 user1
  
Actual results:
[root@iparhel5-vma ~]# ipa user-mod --uid=2222 hh
ipa: ERROR: an internal error has occurred
Comment 1 Pavel Zuna 2009-11-20 10:55:30 EST
To handle simultaneous modify operations better, we normally generate MOD_DELETE + MOD_ADD operation instead of MOD_REPLACE. Unfortunately, this doesn't work for UID/GID and the likes.

We can now define a list of attributes in ldap2 for which MOD_REPLACE operations are used.

master: 91d01a532af3c4668eabcb1a27d3d3f36b0e6207
Introduce a list of attributes for which only MOD_REPLACE operations are generated.

Note You need to log in before you can comment on or make changes to this bug.